E-File Magic

Payment-methods

Check saved payment method status

Check whether saved payment methods exist and a default is configured.

GET
/api/v1/payment-methods/presence
Authentication
OAuth 2.0 access token
Required scopes
payment_methods.read
Idempotency key
Not required
Rate-limit cost
2 units

Request fields

0 fields

No request fields are required.

Headers (1)
AuthorizationRequired
OAuth Bearer token with current resource authorization and the required scopes.
cURL request
curl --request GET 'https://api.efilemagic.com/api/v1/payment-methods/presence' \
  --header 'Authorization: Bearer <access-token>'

Replace placeholders with your own values. Use the API resource origin provided for your environment.